Subject: bug#5921: 23.1; OSX: Emacs 23.1.95 pretest does not compile

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 10 Apr 2010 22:39:25 -0400

Markus Triska <[email-masked]> writes:

> On OSX 10.4 with macports installed, I used:
>
>     $./configure CFLAGS=-I/opt/local/include LDFLAGS=-L/opt/local/lib

Have you tries using the --x-includes, -x-libraries, --includedir, --libdir flags?

Using them is better than fiddling with the CFLAGS because they place
various items in the correct order on the command line (at least they
used to, it's doubtfull that these flags are used much these days, so
they might have bitrotted...)

>
> and Emacs fails to compile with:
>
>    xsettings.c: In function 'parse_xft_settings':
>    xsettings.c:323: error: 'FC_HINT_NONE' undeclared (first use in this function)
>    xsettings.c:323: error: (Each undeclared identifier is reported only once
>    xsettings.c:323: error: for each function it appears in.)
>    xsettings.c:325: error: 'FC_HINT_SLIGHT' undeclared (first use in this function)
>    xsettings.c:327: error: 'FC_HINT_MEDIUM' undeclared (first use in this function)
>    xsettings.c:329: error: 'FC_HINT_FULL' undeclared (first use in this function)
>    xsettings.c: In function 'apply_xft_settings':
>    xsettings.c:424: error: 'FC_HINT_STYLE' undeclared (first use in this function)
>
> apparently because (old) /usr/X11R6/include include files are still
> picked up with priority by the eventually used flags:
>
>    gcc -I/sw/include -L/sw/lib -c -Demacs -DHAVE_CONFIG_H -I.
>    -I/Users/mt/emacs-23.1.95/src -I/usr/X11R6/include
>    -I/opt/local/include/gtk-2.0 -I/opt/local/lib/gtk-2.0/include
>    -I/opt/local/include/atk-1.0 -I/opt/local/include/cairo
>    -I/opt/local/include/pango-1.0 -I/opt/local/include/glib-2.0
>    -I/opt/local/lib/glib-2.0/include -I/opt/local/include
>    -I/opt/local/include/pixman-1 -I/opt/local/include/freetype2
>    -I/opt/local/include/libpng12 -I/opt/local/include
>    -I/opt/local/include/freetype2 -Dtemacs -I/opt/local/include/librsvg-2
>    -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include
>    -I/opt/local/include -I/opt/local/include/gtk-2.0
>    -I/opt/local/include/cairo -I/opt/local/include/pixman-1
>    -I/opt/local/include/freetype2 -I/opt/local/include/libpng12
>    -I/opt/local/include/dbus-1.0 -I/opt/local/lib/dbus-1.0/include
>    -DORBIT2=1 -D_REENTRANT -I/opt/local/include/gconf/2
>    -I/opt/local/include/orbit-2.0 -I/opt/local/include/dbus-1.0
>    -I/opt/local/lib/dbus-1.0/include -I/opt/local/include/glib-2.0
>    -I/opt/local/lib/glib-2.0/include -I/opt/local/include
>    -I/opt/local/include -MMD -MF deps/xsettings.d xsettings.c
>
> When I reorder ALL_CFLAGS in src/Makefile to place
> -I/usr/X11R6/include at the end, Emacs compiles.